## org.w3c.www.protocol.http.cache.push
Class PushCacheListener.ShutdownHook

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.w3c.www.protocol.http.cache.push.PushCacheListener.ShutdownHook

Enclosing class:
  PushCacheListener

public class PushCacheListener.ShutdownHook
extends java.lang.Thread

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`PushCacheListener.ShutdownHook()`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PushCacheListener.ShutdownHook

    public PushCacheListener.ShutdownHook()

Method Detail

### run

    public void run()

  Overrides:
    run in class java.lang.Thread